> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.nowbookit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE /Webhooks/{event}

> Delete a webhook subscription. NowBookIt stops sending notifications after deletion.

Delete a webhook subscription. NowBookIt will stop sending notifications for this event after deletion. No request body is required.

<ParamField header="X-API-KEY" type="string" required>Your API key</ParamField>

<ParamField path="event" type="string" required>Event name. Valid values: `BOOKING_CREATED`, `BOOKING_UPDATED`, `GIFTCARDS_CREATED`, `GIFTCARDS_UPDATED`, `GIFTCARDS_CANCELLED`, `GIFTCARDS_REDEEMED`</ParamField>

<CodeGroup>
  ```shell curl theme={null}
  curl --location --request DELETE '[BASE_URL]/Webhooks/BOOKING_CREATED' \
  --header 'X-API-KEY: your_api_key_here'
  ```
</CodeGroup>

| Status | Description                                                                                       |
| ------ | ------------------------------------------------------------------------------------------------- |
| `200`  | Subscription deleted                                                                              |
| `400`  | API key not associated with a venue                                                               |
| `400`  | `No Venue Subscribed to your App.`                                                                |
| `401`  | X-API-KEY missing or invalid                                                                      |
| `404`  | `'{event}' not found.` — event name not recognised                                                |
| `404`  | `Webhook Subscription for event '{event}' was not found` — valid event but no subscription exists |


## OpenAPI

````yaml DELETE /Webhooks/{event}
openapi: 3.0.4
info:
  title: NowBookIt IPOS Partner API
  description: >-
    REST API for integrating your POS or external system with NowBookIt's
    reservation, sales, and gift card platform.
  version: v1
  contact:
    email: platform.integrations@nowbookit.com
servers:
  - url: https://ipos.dev.nowbookit.com
    description: Development
  - url: https://ipos.nowbookit.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /Webhooks/{event}:
    delete:
      tags:
        - Webhooks
      summary: Delete Webhook
      operationId: deleteWebhook
      parameters:
        - name: event
          in: path
          description: >-
            The name of the event that the webhook subscription is being removed
            from.
          required: true
          schema:
            $ref: '#/components/schemas/WebhookEvents'
        - name: X-API-KEY
          in: header
          description: API Key authentication header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhook deleted successfully
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookEvents:
      enum:
        - BOOKING_CREATED
        - BOOKING_UPDATED
        - GIFTCARDS_CREATED
        - GIFTCARDS_UPDATED
        - GIFTCARDS_CANCELLED
        - GIFTCARDS_REDEEMED
      type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````